<?php
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
if($_GET['id']){$id = $_GET['id'];}
$adminka->admin();
$forum = mysql_fetch_array(mysql_query("SELECT * FROM `forum_razd` WHERE id=$id"));
$shcmsengine['title'] = 'Форум - Удаление - '.$forum['name'].'';
include_once'../template/head.php';
registrat();
if(!$id)
{
echo '<div class="errors">Вы зашли неправильно.</div>';
header("Refresh:1; url=/forum/");
include_once'../template/foot.php';
exit;
}
echo '<div class="posts">Вы действительно хотите удалить раздел <b>'.$forum['name'].'</b></div>';
echo '<form action="?id='.$id.'" method="post">';
echo '<input type="submit" name="submit" value="Удалить">';
echo '</form>';

if(isset($_POST['submit']))
{
$delete_cat=mysql_query("DELETE FROM `forum_razd` WHERE id=$id");
mysql_query("DELETE FROM `forum_mess` WHERE id_razd=$id");
mysql_query("DELETE FROM `forum_them` WHERE id_razd=$id");
if($delete_cat == true)
{
echo '<div class="actshcms">Раздел успешно удален</div>';
header("Refresh:1; url=/forum/");
include_once'../template/foot.php';
exit;
}
else
{
echo '<div class="errors">Ошибка при удаление раздела</div>';
header("Refresh:1; url=/forum/");
include_once'../template/foot.php';
exit;
}
}

include_once'../template/foot.php';
?>